Debian Bug report logs - #660131
mount mishandles backslash characters

Package: mount; Maintainer for mount is LaMont Jones <lamont@debian.org>; Source for mount is src:util-linux.

Reported by: Naja Melan <najamelan@gmail.com>

Date: Thu, 16 Feb 2012 17:51:01 UTC

Severity: normal

Tags: fixed-upstream

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#660131; Package mount !!!. (Thu, 16 Feb 2012 17:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Naja Melan <najamelan@gmail.com>:
New Bug report received and forwarded. Copy sent to LaMont Jones <lamont@debian.org>. (Thu, 16 Feb 2012 17:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Naja Melan <najamelan@gmail.com>
To: submit@bugs.debian.org
Subject: Fwd: Message with no Package: tag cannot be processed! (bug report for mount)
Date: Thu, 16 Feb 2012 17:47:35 +0000
[Message part 1 (text/plain, inline)]
Package: mount !!!

sorry hey, following up bug reports is a lot of work I know. However people
who want to help by filing them also hav alot of work and alot of bugs...
Your bug tracking system is a minefield though. I would have given up long
ago but this bug is kind of crucial as far as I can tell...

---------- Forwarded message ----------
From: Debian Bug Tracking System <owner@bugs.debian.org>
Date: Sun, Feb 5, 2012 at 3:18 AM
Subject: Message with no Package: tag cannot be processed! (bug report for
mount)
To: Naja Melan <najamelan@gmail.com>


Your message didn't have a Package: line at the very first line of the
mail body (part of the pseudo-header), or didn't have a Package: line
at all. Unfortunatly, this means that your message has been ignored
completely.

Without this information we are unable to categorise or otherwise deal
with your problem report. Please _resubmit_ your report to
submit@bugs.debian.org and tell us which package the
report is for. For help, check out
http://www.debian.org/Bugs/Reporting.

Your message was dated Sun, 5 Feb 2012 03:15:40 +0000 and had
message-id <
CAGC4HJSOsLsOpvg_8W0uaXmnd0LmSg_MQ34M49AHQO6AoTw1Ag@mail.gmail.com>
and subject bug report for mount.
The complete text of it is attached to this message.

If you need any assistance or explanation please contact
owner@bugs.debian.org and include the the attached
message.

If you didn't send the attached message (spam was sent forging your
from address), we apologize; please disregard this message.

--
-1: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=-1
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems


---------- Forwarded message ----------
From: Naja Melan <najamelan@gmail.com>
To: submit@bugs.debian.org
Cc:
Date: Sun, 5 Feb 2012 03:15:40 +0000
Subject: bug report for mount
hi,

my apologies for reporting a bug through this channel, but I fail to report
bugs with the reportbug tool. It fails me on all conceivable levels and at
4 am after a long day I cant be bother to type a bug report for the 4th
time in it. You will have to do without proper formatting.

package: mount
system: wheezy

script to reproduce bug:

#!/bin/bash

mkdir 'te\st\'
sudo mount -r /dev/sdf2 'te\st\'
ls 'te\st\'

echo -e "\n\n"
mount
echo -e "\n\n"
cat /proc/mounts
echo -e "\n\n"

sudo umount /dev/sdf2
rmdir 'te\st\'

Output:
-------

user@computer:[...]$ ./testmount
[a list of files]



[...]
/dev/sdf2 on [...]/te\st\134 type ext3
(ro,relatime,errors=continue,barrier=1,data=ordered)



rootfs / rootfs rw 0 0
sysfs /sys sysfs rw,nosuid,nodev,noexec,relatime 0 0
[...]
/dev/sdf2 [...]/te\134st\134 ext3
ro,relatime,errors=continue,barrier=1,data=ordered 0 0



umount: [...]/te\st\134: not found
rmdir: failed to remove `te\\st\\': Device or resource busy
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#660131; Package mount !!!. (Sun, 04 Mar 2012 13:33:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>:
Extra info received and forwarded to list. Copy sent to LaMont Jones <lamont@debian.org>. (Sun, 04 Mar 2012 13:33:13 GMT) Full text and rfc822 format available.

Message #10 received at 660131@bugs.debian.org (full text, mbox):

From: "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>
To: 660131@bugs.debian.org, 660131-submitter@bugs.debian.org
Subject: Re: tag cannot be processed!
Date: Sun, 4 Mar 2012 13:32:03 +0000
reassign 660131 mount
stop

Hello,

To the submitter: I'm reassigning the bug because it was assigned to
the wrong package, the !!! were causing trouble. If "reportbug"
doesn't work you can try "reportbug-ng", maybe it's more friendly for
you.

Other than that, I cannot make much sense of the bug report and don't
understand why \s and \' are escaped in the script, I think that
that's what causing trouble.  I don't know if it's because of a
charset conversion thing...

Anyway, reassigning the bug report to the package that it was supposed
to be reported against.

Cheers.




Bug reassigned from package 'mount !!!' to 'mount'. Request was from "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com> to control@bugs.debian.org. (Sun, 04 Mar 2012 13:33:38 GMT) Full text and rfc822 format available.

Message sent on to Naja Melan <najamelan@gmail.com>:
Bug#660131. (Sun, 04 Mar 2012 13:33:45 GMT) Full text and rfc822 format available.

Changed Bug title to 'mount mishandles backslash characters' from 'Fwd: Message with no Package: tag cannot be processed! (bug report for mount)' Request was from LaMont Jones <lamont@debian.org> to control@bugs.debian.org. (Mon, 05 Mar 2012 04:03:03 GMT) Full text and rfc822 format available.

Information stored :
Bug#660131; Package mount. (Tue, 13 Mar 2012 00:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Naja Melan <najamelan@gmail.com>:
Extra info received and filed, but not forwarded. (Tue, 13 Mar 2012 00:03:04 GMT) Full text and rfc822 format available.

Message #22 received at 660131-quiet@bugs.debian.org (full text, mbox):

From: Naja Melan <najamelan@gmail.com>
To: "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>, 660131-quiet@bugs.debian.org
Subject: Re: Bug#660131: tag cannot be processed!
Date: Tue, 13 Mar 2012 00:01:33 +0000
[Message part 1 (text/plain, inline)]
hi,

thanks for reacting.

Other than that, I cannot make much sense of the bug report and don't
> understand why \s and \' are escaped in the script, I think that that's
> what causing trouble.  I don't know if it's because of a charset conversion
> thing...
>

The backslashes are present because on some filesystems (eg. ext) a
backslash is valid in a path/filename. Nothing is escaped in the script,
please read the bash manual for more clues:

*’ ’  -> Everything between ’ and ’ is taken literally, except for another ’.
You cannot embed
another ’ within such a quoted string.*

Thus mount fails to unmount a block device mounted on a valid path.

Desired result for umount to unmount a blockdevice mounted on a path ending
with a backslash

On charset conversion, the bug exists if typing all commands in the
terminal and as far as I'm aware of no conversion should be happening.

greets
[Message part 2 (text/html, inline)]

Information stored :
Bug#660131; Package mount. (Sat, 15 Sep 2012 02:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Naja Melan <najamelan@autistici.org>:
Extra info received and filed, but not forwarded. (Sat, 15 Sep 2012 02:51:03 GMT) Full text and rfc822 format available.

Message #27 received at 660131-quiet@bugs.debian.org (full text, mbox):

From: Naja Melan <najamelan@autistici.org>
To: 660131-quiet@bugs.debian.org
Subject: fixed upstream
Date: Sat, 15 Sep 2012 04:47:16 +0200
I reported it upstream with the exact same bug report and it to 1 day to be fixed...



Reply sent to Jana Barbara Wisniowska <debian@janapirat.de>:
You have taken responsibility. (Sun, 11 Nov 2012 23:51:04 GMT) Full text and rfc822 format available.

Notification sent to Naja Melan <najamelan@gmail.com>:
Bug acknowledged by developer. (Sun, 11 Nov 2012 23:51:04 GMT) Full text and rfc822 format available.

Message #32 received at 660131-done@bugs.debian.org (full text, mbox):

From: Jana Barbara Wisniowska <debian@janapirat.de>
To: 660131-done@bugs.debian.org
Subject: 660131 closed
Date: Mon, 12 Nov 2012 00:41:22 +0100
Version: 3.0-9



Bug reopened Request was from Jana Barbara Wisniowska <debian@janapirat.de> to control@bugs.debian.org. (Mon, 12 Nov 2012 18:54:10 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions 3.0-9. Request was from Jana Barbara Wisniowska <debian@janapirat.de> to control@bugs.debian.org. (Mon, 12 Nov 2012 18:54:10 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from Phillip Susi <psusi@ubuntu.com> to control@bugs.debian.org. (Fri, 01 Nov 2013 14:21:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:06:40 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.